/*==================================================
RESPONSIVE DESIGN
SWS TECHNOLOGY
==================================================*/


/***********************
Large Tablet
***********************/
@media (max-width:1200px){

.hero h1{

font-size:60px;

}

.hero{

gap:40px;

}

.events-grid,
.sector-grid,
.featured-grid{

grid-template-columns:repeat(2,1fr);

}

.stats-grid{

grid-template-columns:repeat(2,1fr);

}

}



/***********************
Tablet
***********************/
@media (max-width:992px){

/* NAVBAR */

@media(max-width:992px){

.menu-toggle{

display:flex;

}

.navbar{

position:relative;

}

.navbar ul{

position:fixed;

right:-100%;

top:0;

width:300px;

height:100vh;

background:#071224;

display:flex;

flex-direction:column;

justify-content:center;

align-items:center;

gap:35px;

transition:.4s;

z-index:2000;

border-left:1px solid rgba(255,255,255,.08);

}

.navbar ul.active{

right:0;

}

.navbar ul li{

list-style:none;

}

.navbar ul li a{

font-size:20px;

color:#fff;

}

.btn-nav{

display:none;

}

}
/* HERO */

.hero{

flex-direction:column;

text-align:center;

padding-top:60px;

min-height:auto;

}

.hero-left,
.hero-right{

width:100%;

}

.hero h1{

font-size:52px;

}

.hero p{

margin:auto;

margin-bottom:35px;

}

.buttons{

justify-content:center;

flex-wrap:wrap;

}

.hero-right{

height:500px;

margin-top:40px;

}

/* GRID */

.events-grid,
.sector-grid,
.featured-grid{

grid-template-columns:1fr 1fr;

}

.stats-grid{

grid-template-columns:1fr 1fr;

}

/* WHY */

.why{

grid-template-columns:1fr;

text-align:center;

}

.why-right{

margin-top:50px;

}

/* CONTACT */

.contact{

grid-template-columns:1fr;

}

.contact h2{

font-size:42px;

}

.gallery-grid{

columns:2;

}

}



/***********************
Mobile
***********************/
@media (max-width:768px){

.section-title h2{

font-size:38px;

}

.hero{

padding-top:40px;

}

.hero h1{

font-size:40px;

line-height:1.2;

}

.hero p{

font-size:16px;

}

.badge{

font-size:14px;

}

.buttons{

flex-direction:column;

width:100%;

}

.btn-primary,
.btn-secondary{

width:100%;

text-align:center;

}

/* CARDS */

.hero-right{

height:auto;

display:flex;

flex-direction:column;

gap:20px;

}

.glass-card{

position:relative;

top:auto !important;

left:auto !important;

right:auto !important;

bottom:auto !important;

width:100%;

}

/* EVENTS */

.events-grid{

grid-template-columns:1fr;

}

/* SECTORS */

.sector-grid{

grid-template-columns:1fr;

}

/* FEATURED */

.featured-grid{

grid-template-columns:1fr;

}

/* STATS */

.stats-grid{

grid-template-columns:1fr;

}

/* WHY */

.why-right{

grid-template-columns:1fr;

}

/* TIMELINE */

.timeline-line::before{

left:22px;

}

.step{

gap:20px;

}

.number{

width:45px;

height:45px;

font-size:16px;

}

.content{

padding:20px;

}

.content h3{

font-size:20px;

}

/* CONTACT */

.contact{

gap:40px;

}

.contact h2{

font-size:34px;

}

input,
textarea,
button{

font-size:16px;

width:100%;

}

.gallery-grid{

columns:1;

}

footer img{

height:60px;

}

}



/***********************
Small Mobile
***********************/
@media (max-width:480px){

.hero{

width:92%;

}

.hero h1{

font-size:32px;

}

.hero p{

font-size:15px;

}

.section-title h2{

font-size:30px;

}

.section-title p{

font-size:15px;

}

.hero-right{

margin-top:30px;

}

.glass-card{

padding:22px;

}

.stat-card{

padding:30px;

}

.counter{

font-size:42px;

}

.featured-card{

height:360px;

}

.overlay h3{

font-size:22px;

}

.contact h2{

font-size:28px;

}

.logo img{

height:45px;

}

footer{

padding:40px 20px;

}

}



/***********************
Very Small Devices
***********************/
@media (max-width:360px){

.hero h1{

font-size:28px;

}

.hero p{

font-size:14px;

}

.btn-primary,
.btn-secondary{

padding:14px;

font-size:15px;

}

}